Bug 1101122 - [Patch] ktorrent can't parse ip block list
Summary: [Patch] ktorrent can't parse ip block list
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ktorrent
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-26 08:09 UTC by Michal Hlavinka
Modified: 2014-07-25 10:04 UTC (History)
6 users (show)

Fixed In Version: ktorrent-4.3.1-11.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-17 04:33:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 315239 None None None Never

Description Michal Hlavinka 2014-05-26 08:09:53 UTC
Description of problem:
Ktorrent can't parse ip block list, because it does not unzip it.


Version-Release number of selected component (if applicable):
ktorrent-4.3.1

How reproducible:
always

Steps to Reproduce:
1.View->plugins
2.enable IP filter
3.settings->configure ktorrent->IP Filter-> Download/Convert

Actual results:
There are no IP addresses to convert in ~/.kde/share/apps/ktorrent/level1.txt

Expected results:
IP list loaded

Additional info:
This was reported upstream and fixed a long time ago, but the fix is still not released. Please add this commit to ktorrent in fedora
https://bugs.kde.org/show_bug.cgi?id=315239#c22

Comment 1 Rex Dieter 2014-05-27 14:44:34 UTC
I particular,

https://projects.kde.org/projects/extragear/network/ktorrent/repository/revisions/3dfcbeb9765e99f9b99951134b17268eb7a617d2


I'll see about finding some time to include more recent fixes too (today)

Comment 2 bob 2014-07-13 22:19:33 UTC
I'm having the same problem.  Found this while googling -- seems like the fix was recognized upstream a year ago, though it hasn't been rolled out.

https://bugs.kde.org/show_bug.cgi?id=315239

Comment 3 Rex Dieter 2014-07-13 23:13:22 UTC
%changelog
* Sun Jul 13 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.3.1-11
- pull in some upstream fixes... in particular,
- ktorrent can't parse ip block list (#1101122)
- s/kdebase-/kde-/ in -runtime,-workspace deps

Comment 4 Fedora Update System 2014-07-14 00:53:25 UTC
ktorrent-4.3.1-11.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ktorrent-4.3.1-11.fc20

Comment 5 Fedora Update System 2014-07-14 00:54:32 UTC
ktorrent-4.3.1-11.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ktorrent-4.3.1-11.fc19

Comment 6 lnie 2014-07-14 04:50:30 UTC
ktorrent-4.3.1-11.fc20 works

Comment 7 Fedora Update System 2014-07-16 01:59:37 UTC
Package ktorrent-4.3.1-11.fc20, libktorrent-1.3.1-9.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ktorrent-4.3.1-11.fc20 libktorrent-1.3.1-9.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8340/libktorrent-1.3.1-9.fc20,ktorrent-4.3.1-11.fc20
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-07-17 04:33:31 UTC
ktorrent-4.3.1-11.fc20, libktorrent-1.3.1-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 bob 2014-07-19 14:35:54 UTC
Thanks for the quick work.  Unfortunately, I'm not finding the update.

Can you check to see if the x86_64 version was also pushed through?  I have the stable repositories enabled and the most recent x86_64 version is ktorrent-4.3.1-4.fc20.x86_64.

thanks.

Comment 10 Fedora Update System 2014-07-25 10:04:34 UTC
ktorrent-4.3.1-11.fc19, libktorrent-1.3.1-9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.